from PyQt5.QtCore import (QCoreApplication, QDate, QDateTime, QLocale,
    QMetaObject, QObject, QPoint, QRect,pyqtSignal,
    QSize, QTime, QUrl, Qt)
from PyQt5.QtGui import (QBrush, QColor, QConicalGradient, QCursor,
    QFont, QFontDatabase, QGradient, QIcon,QMovie,
    QImage, QKeySequence, QLinearGradient, QPainter,
    QPalette, QPixmap, QRadialGradient, QTransform)
from PyQt5.QtWidgets import (QApplication, QFrame, QGridLayout, QHBoxLayout,
    QLabel, QMainWindow, QSizePolicy, QVBoxLayout,QRadioButton,QStackedWidget, QVBoxLayout,
    QWidget)
from PyQt5.QtWidgets import QGraphicsDropShadowEffect
import resources
r = resources
r.qInitResources()

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        if not MainWindow.objectName():
            MainWindow.setObjectName(u"MainWindow")
        MainWindow.setGeometry(0, 0, 800, 480)
        MainWindow.move(0, 0)
        MainWindow.setStyleSheet(u"background-color: rgb(255, 255, 255);")
        self.centralwidget = QWidget(MainWindow)
        self.centralwidget.setObjectName(u"centralwidget")
        self.centralwidget.setMaximumSize(QSize(800, 480))
        self.centralwidget.setStyleSheet(u"background-image: url(:/image/picture/image(1).png);")
        self.verticalLayout = QVBoxLayout(self.centralwidget)
        self.verticalLayout.setSpacing(0)
        self.verticalLayout.setObjectName(u"verticalLayout")
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.m_fram = QFrame(self.centralwidget)
        self.m_fram.setObjectName(u"m_fram")
        self.m_fram.setStyleSheet(u"background: none;")
        self.m_fram.setFrameShape(QFrame.NoFrame)
        self.m_fram.setFrameShadow(QFrame.Raised)
        self.verticalLayout_2 = QVBoxLayout(self.m_fram)
        self.verticalLayout_2.setSpacing(0)
        self.verticalLayout_2.setObjectName(u"verticalLayout_2")
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.gridLayout = QGridLayout()
        self.gridLayout.setSpacing(15)
        self.gridLayout.setObjectName(u"gridLayout")
        self.gridLayout.setContentsMargins(15, 15, 15, 15)
        self.menu_2 = QFrame(self.m_fram)
        self.menu_2.setObjectName(u"menu_2")
        self.menu_2.setMinimumSize(QSize(0, 275))
        self.menu_2.setMaximumSize(QSize(16777215, 275))
        self.menu_2.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_2.setFrameShape(QFrame.Box)
        self.menu_2.setFrameShadow(QFrame.Raised)
        self.menu_2.setLineWidth(20)
        self.menu_2.setMidLineWidth(10)
        self.verticalLayout_4 = QVBoxLayout(self.menu_2)
        self.verticalLayout_4.setSpacing(0)
        self.verticalLayout_4.setObjectName(u"verticalLayout_4")
        self.verticalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.name_2 = QFrame(self.menu_2)
        self.name_2.setObjectName(u"name_2")
        self.name_2.setMinimumSize(QSize(0, 40))
        self.name_2.setMaximumSize(QSize(16777215, 40))
        self.name_2.setFrameShape(QFrame.StyledPanel)
        self.name_2.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_4 = QHBoxLayout(self.name_2)
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setObjectName(u"horizontalLayout_4")
        self.horizontalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.L_name_2 = QLabel(self.name_2)
        self.L_name_2.setObjectName(u"L_name_2")
        self.L_name_2.setMinimumSize(QSize(0, 40))
        self.L_name_2.setMaximumSize(QSize(16777215, 40))
        self.L_name_2.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout_4.addWidget(self.L_name_2)


        self.verticalLayout_4.addWidget(self.name_2, 0, Qt.AlignHCenter)

        self.picture_2 = QFrame(self.menu_2)
        self.picture_2.setObjectName(u"picture_2")
        self.picture_2.setMinimumSize(QSize(150, 150))
        self.picture_2.setMaximumSize(QSize(150, 150))
        self.picture_2.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_2.setFrameShape(QFrame.StyledPanel)
        self.picture_2.setFrameShadow(QFrame.Raised)

        self.verticalLayout_4.addWidget(self.picture_2, 0, Qt.AlignHCenter)

        self.price_2 = QFrame(self.menu_2)
        self.price_2.setObjectName(u"price_2")
        self.price_2.setMinimumSize(QSize(0, 40))
        self.price_2.setMaximumSize(QSize(16777215, 40))
        self.price_2.setFrameShape(QFrame.StyledPanel)
        self.price_2.setFrameShadow(QFrame.Raised)
        self.verticalLayout_10 = QVBoxLayout(self.price_2)
        self.verticalLayout_10.setSpacing(0)
        self.verticalLayout_10.setObjectName(u"verticalLayout_10")
        self.verticalLayout_10.setContentsMargins(0, 0, 0, 0)
        self.L_price_2 = QLabel(self.price_2)
        self.L_price_2.setObjectName(u"L_price_2")
        self.L_price_2.setMinimumSize(QSize(0, 30))
        self.L_price_2.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_10.addWidget(self.L_price_2, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_4.addWidget(self.price_2, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_2, 0, 1, 1, 1)

        self.menu_4 = QFrame(self.m_fram)
        self.menu_4.setObjectName(u"menu_4")
        self.menu_4.setMinimumSize(QSize(0, 275))
        self.menu_4.setMaximumSize(QSize(16777215, 275))
        self.menu_4.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_4.setFrameShape(QFrame.Box)
        self.menu_4.setFrameShadow(QFrame.Raised)
        self.menu_4.setLineWidth(20)
        self.menu_4.setMidLineWidth(10)
        self.verticalLayout_18 = QVBoxLayout(self.menu_4)
        self.verticalLayout_18.setSpacing(0)
        self.verticalLayout_18.setObjectName(u"verticalLayout_18")
        self.verticalLayout_18.setContentsMargins(0, 0, 0, 0)
        self.name_4 = QFrame(self.menu_4)
        self.name_4.setObjectName(u"name_4")
        self.name_4.setMinimumSize(QSize(0, 40))
        self.name_4.setMaximumSize(QSize(16777215, 40))
        self.name_4.setFrameShape(QFrame.StyledPanel)
        self.name_4.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_6 = QHBoxLayout(self.name_4)
        self.horizontalLayout_6.setSpacing(0)
        self.horizontalLayout_6.setObjectName(u"horizontalLayout_6")
        self.horizontalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.L_name_4 = QLabel(self.name_4)
        self.L_name_4.setObjectName(u"L_name_4")
        self.L_name_4.setMinimumSize(QSize(0, 40))
        self.L_name_4.setMaximumSize(QSize(16777215, 40))
        self.L_name_4.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout_6.addWidget(self.L_name_4)


        self.verticalLayout_18.addWidget(self.name_4, 0, Qt.AlignHCenter)

        self.picture_4 = QFrame(self.menu_4)
        self.picture_4.setObjectName(u"picture_4")
        self.picture_4.setMinimumSize(QSize(150, 150))
        self.picture_4.setMaximumSize(QSize(150, 150))
        self.picture_4.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_4.setFrameShape(QFrame.StyledPanel)
        self.picture_4.setFrameShadow(QFrame.Raised)

        self.verticalLayout_18.addWidget(self.picture_4, 0, Qt.AlignHCenter)

        self.price_4 = QFrame(self.menu_4)
        self.price_4.setObjectName(u"price_4")
        self.price_4.setMinimumSize(QSize(0, 40))
        self.price_4.setMaximumSize(QSize(16777215, 40))
        self.price_4.setFrameShape(QFrame.StyledPanel)
        self.price_4.setFrameShadow(QFrame.Raised)
        self.verticalLayout_19 = QVBoxLayout(self.price_4)
        self.verticalLayout_19.setSpacing(0)
        self.verticalLayout_19.setObjectName(u"verticalLayout_19")
        self.verticalLayout_19.setContentsMargins(0, 0, 0, 0)
        self.L_price_4 = QLabel(self.price_4)
        self.L_price_4.setObjectName(u"L_price_4")
        self.L_price_4.setMinimumSize(QSize(0, 30))
        self.L_price_4.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_19.addWidget(self.L_price_4, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_18.addWidget(self.price_4, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_4, 0, 3, 1, 1)

        self.menu_1 = QFrame(self.m_fram)
        self.menu_1.setObjectName(u"menu_1")
        self.menu_1.setMinimumSize(QSize(0, 275))
        self.menu_1.setMaximumSize(QSize(16777215, 275))
        self.menu_1.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_1.setFrameShape(QFrame.Box)
        self.menu_1.setFrameShadow(QFrame.Raised)
        self.menu_1.setLineWidth(20)
        self.menu_1.setMidLineWidth(10)
        self.verticalLayout_3 = QVBoxLayout(self.menu_1)
        self.verticalLayout_3.setSpacing(0)
        self.verticalLayout_3.setObjectName(u"verticalLayout_3")
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.name_1 = QFrame(self.menu_1)
        self.name_1.setObjectName(u"name_1")
        self.name_1.setMinimumSize(QSize(0, 40))
        self.name_1.setMaximumSize(QSize(16777215, 40))
        self.name_1.setFrameShape(QFrame.StyledPanel)
        self.name_1.setFrameShadow(QFrame.Raised)
        self.horizontalLayout = QHBoxLayout(self.name_1)
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName(u"horizontalLayout")
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.L_name_1 = QLabel(self.name_1)
        self.L_name_1.setObjectName(u"L_name_1")
        self.L_name_1.setMinimumSize(QSize(0, 40))
        self.L_name_1.setMaximumSize(QSize(16777215, 40))
        self.L_name_1.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout.addWidget(self.L_name_1)


        self.verticalLayout_3.addWidget(self.name_1, 0, Qt.AlignHCenter)

        self.picture_1 = QFrame(self.menu_1)
        self.picture_1.setObjectName(u"picture_1")
        self.picture_1.setMinimumSize(QSize(150, 150))
        self.picture_1.setMaximumSize(QSize(150, 150))
        self.picture_1.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_1.setFrameShape(QFrame.StyledPanel)
        self.picture_1.setFrameShadow(QFrame.Raised)

        self.verticalLayout_3.addWidget(self.picture_1, 0, Qt.AlignHCenter)

        self.price_1 = QFrame(self.menu_1)
        self.price_1.setObjectName(u"price_1")
        self.price_1.setMinimumSize(QSize(0, 40))
        self.price_1.setMaximumSize(QSize(16777215, 40))
        self.price_1.setFrameShape(QFrame.StyledPanel)
        self.price_1.setFrameShadow(QFrame.Raised)
        self.verticalLayout_5 = QVBoxLayout(self.price_1)
        self.verticalLayout_5.setSpacing(0)
        self.verticalLayout_5.setObjectName(u"verticalLayout_5")
        self.verticalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.L_price_1 = QLabel(self.price_1)
        self.L_price_1.setObjectName(u"L_price_1")
        self.L_price_1.setMinimumSize(QSize(0, 30))
        self.L_price_1.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_5.addWidget(self.L_price_1, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_3.addWidget(self.price_1, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_1, 0, 0, 1, 1)

        self.menu_8 = QFrame(self.m_fram)
        self.menu_8.setObjectName(u"menu_8")
        self.menu_8.setMinimumSize(QSize(0, 275))
        self.menu_8.setMaximumSize(QSize(16777215, 275))
        self.menu_8.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_8.setFrameShape(QFrame.Box)
        self.menu_8.setFrameShadow(QFrame.Raised)
        self.menu_8.setLineWidth(20)
        self.menu_8.setMidLineWidth(10)
        self.verticalLayout_9 = QVBoxLayout(self.menu_8)
        self.verticalLayout_9.setSpacing(0)
        self.verticalLayout_9.setObjectName(u"verticalLayout_9")
        self.verticalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.name_8 = QFrame(self.menu_8)
        self.name_8.setObjectName(u"name_8")
        self.name_8.setMinimumSize(QSize(0, 40))
        self.name_8.setMaximumSize(QSize(16777215, 40))
        self.name_8.setFrameShape(QFrame.StyledPanel)
        self.name_8.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_9 = QHBoxLayout(self.name_8)
        self.horizontalLayout_9.setSpacing(0)
        self.horizontalLayout_9.setObjectName(u"horizontalLayout_9")
        self.horizontalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.L_name_8 = QLabel(self.name_8)
        self.L_name_8.setObjectName(u"L_name_8")
        self.L_name_8.setMinimumSize(QSize(0, 40))
        self.L_name_8.setMaximumSize(QSize(16777215, 40))
        self.L_name_8.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout_9.addWidget(self.L_name_8, 0, Qt.AlignHCenter)


        self.verticalLayout_9.addWidget(self.name_8, 0, Qt.AlignHCenter)

        self.picture_8 = QFrame(self.menu_8)
        self.picture_8.setObjectName(u"picture_8")
        self.picture_8.setMinimumSize(QSize(150, 150))
        self.picture_8.setMaximumSize(QSize(150, 150))
        self.picture_8.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_8.setFrameShape(QFrame.StyledPanel)
        self.picture_8.setFrameShadow(QFrame.Raised)

        self.verticalLayout_9.addWidget(self.picture_8, 0, Qt.AlignHCenter)

        self.price_8 = QFrame(self.menu_8)
        self.price_8.setObjectName(u"price_8")
        self.price_8.setMinimumSize(QSize(0, 40))
        self.price_8.setMaximumSize(QSize(16777215, 40))
        self.price_8.setFrameShape(QFrame.StyledPanel)
        self.price_8.setFrameShadow(QFrame.Raised)
        self.verticalLayout_22 = QVBoxLayout(self.price_8)
        self.verticalLayout_22.setSpacing(0)
        self.verticalLayout_22.setObjectName(u"verticalLayout_22")
        self.verticalLayout_22.setContentsMargins(0, 0, 0, 0)
        self.L_price_8 = QLabel(self.price_8)
        self.L_price_8.setObjectName(u"L_price_8")
        self.L_price_8.setMinimumSize(QSize(0, 30))
        self.L_price_8.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_22.addWidget(self.L_price_8, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_9.addWidget(self.price_8, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_8, 1, 3, 1, 1)

        self.menu_5 = QFrame(self.m_fram)
        self.menu_5.setObjectName(u"menu_5")
        self.menu_5.setMinimumSize(QSize(0, 275))
        self.menu_5.setMaximumSize(QSize(16777215, 275))
        self.menu_5.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_5.setFrameShape(QFrame.Box)
        self.menu_5.setFrameShadow(QFrame.Raised)
        self.menu_5.setLineWidth(20)
        self.menu_5.setMidLineWidth(10)
        self.verticalLayout_6 = QVBoxLayout(self.menu_5)
        self.verticalLayout_6.setSpacing(0)
        self.verticalLayout_6.setObjectName(u"verticalLayout_6")
        self.verticalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.name_5 = QFrame(self.menu_5)
        self.name_5.setObjectName(u"name_5")
        self.name_5.setMinimumSize(QSize(0, 0))
        self.name_5.setMaximumSize(QSize(16777215, 60))
        self.name_5.setFrameShape(QFrame.StyledPanel)
        self.name_5.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_2 = QHBoxLayout(self.name_5)
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName(u"horizontalLayout_2")
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.L_name_5 = QLabel(self.name_5)
        self.L_name_5.setObjectName(u"L_name_5")
        self.L_name_5.setMinimumSize(QSize(0, 40))
        self.L_name_5.setMaximumSize(QSize(16777215, 40))
        self.L_name_5.setStyleSheet(u"font:25pt \"2  Mehr\";")

        self.horizontalLayout_2.addWidget(self.L_name_5)


        self.verticalLayout_6.addWidget(self.name_5, 0, Qt.AlignHCenter)

        self.picture_5 = QFrame(self.menu_5)
        self.picture_5.setObjectName(u"picture_5")
        self.picture_5.setMinimumSize(QSize(150, 150))
        self.picture_5.setMaximumSize(QSize(150, 150))
        self.picture_5.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_5.setFrameShape(QFrame.StyledPanel)
        self.picture_5.setFrameShadow(QFrame.Raised)

        self.verticalLayout_6.addWidget(self.picture_5, 0, Qt.AlignHCenter)

        self.pricr_5 = QFrame(self.menu_5)
        self.pricr_5.setObjectName(u"pricr_5")
        self.pricr_5.setMinimumSize(QSize(0, 40))
        self.pricr_5.setMaximumSize(QSize(16777215, 40))
        self.pricr_5.setFrameShape(QFrame.StyledPanel)
        self.pricr_5.setFrameShadow(QFrame.Raised)
        self.verticalLayout_7 = QVBoxLayout(self.pricr_5)
        self.verticalLayout_7.setSpacing(0)
        self.verticalLayout_7.setObjectName(u"verticalLayout_7")
        self.verticalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.L_price_5 = QLabel(self.pricr_5)
        self.L_price_5.setObjectName(u"L_price_5")
        self.L_price_5.setMinimumSize(QSize(0, 30))
        self.L_price_5.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_7.addWidget(self.L_price_5, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_6.addWidget(self.pricr_5, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_5, 1, 0, 1, 1)

        self.menu_3 = QFrame(self.m_fram)
        self.menu_3.setObjectName(u"menu_3")
        self.menu_3.setMinimumSize(QSize(0, 275))
        self.menu_3.setMaximumSize(QSize(16777215, 275))
        self.menu_3.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_3.setFrameShape(QFrame.Box)
        self.menu_3.setFrameShadow(QFrame.Raised)
        self.menu_3.setLineWidth(20)
        self.menu_3.setMidLineWidth(10)
        self.verticalLayout_16 = QVBoxLayout(self.menu_3)
        self.verticalLayout_16.setSpacing(0)
        self.verticalLayout_16.setObjectName(u"verticalLayout_16")
        self.verticalLayout_16.setContentsMargins(0, 0, 0, 0)
        self.name_3 = QFrame(self.menu_3)
        self.name_3.setObjectName(u"name_3")
        self.name_3.setMinimumSize(QSize(0, 40))
        self.name_3.setMaximumSize(QSize(16777215, 40))
        self.name_3.setFrameShape(QFrame.StyledPanel)
        self.name_3.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_5 = QHBoxLayout(self.name_3)
        self.horizontalLayout_5.setSpacing(0)
        self.horizontalLayout_5.setObjectName(u"horizontalLayout_5")
        self.horizontalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.L_name_3 = QLabel(self.name_3)
        self.L_name_3.setObjectName(u"L_name_3")
        self.L_name_3.setMinimumSize(QSize(0, 40))
        self.L_name_3.setMaximumSize(QSize(16777215, 40))
        self.L_name_3.setStyleSheet(u"font:25pt \"2  Mehr\";")

        self.horizontalLayout_5.addWidget(self.L_name_3)


        self.verticalLayout_16.addWidget(self.name_3, 0, Qt.AlignHCenter)

        self.picture_3 = QFrame(self.menu_3)
        self.picture_3.setObjectName(u"picture_3")
        self.picture_3.setMinimumSize(QSize(150, 150))
        self.picture_3.setMaximumSize(QSize(150, 150))
        self.picture_3.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_3.setFrameShape(QFrame.StyledPanel)
        self.picture_3.setFrameShadow(QFrame.Raised)

        self.verticalLayout_16.addWidget(self.picture_3, 0, Qt.AlignHCenter)

        self.price_3 = QFrame(self.menu_3)
        self.price_3.setObjectName(u"price_3")
        self.price_3.setMinimumSize(QSize(0, 40))
        self.price_3.setMaximumSize(QSize(16777215, 40))
        self.price_3.setFrameShape(QFrame.StyledPanel)
        self.price_3.setFrameShadow(QFrame.Raised)
        self.verticalLayout_17 = QVBoxLayout(self.price_3)
        self.verticalLayout_17.setSpacing(0)
        self.verticalLayout_17.setObjectName(u"verticalLayout_17")
        self.verticalLayout_17.setContentsMargins(0, 0, 0, 0)
        self.L_price_3 = QLabel(self.price_3)
        self.L_price_3.setObjectName(u"L_price_3")
        self.L_price_3.setMinimumSize(QSize(0, 30))
        self.L_price_3.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_17.addWidget(self.L_price_3, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_16.addWidget(self.price_3, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_3, 0, 2, 1, 1)

        self.menu_6 = QFrame(self.m_fram)
        self.menu_6.setObjectName(u"menu_6")
        self.menu_6.setMinimumSize(QSize(0, 275))
        self.menu_6.setMaximumSize(QSize(16777215, 275))
        self.menu_6.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_6.setFrameShape(QFrame.Box)
        self.menu_6.setFrameShadow(QFrame.Raised)
        self.menu_6.setLineWidth(20)
        self.menu_6.setMidLineWidth(10)
        self.verticalLayout_11 = QVBoxLayout(self.menu_6)
        self.verticalLayout_11.setSpacing(0)
        self.verticalLayout_11.setObjectName(u"verticalLayout_11")
        self.verticalLayout_11.setContentsMargins(0, 0, 0, 0)
        self.name_6 = QFrame(self.menu_6)
        self.name_6.setObjectName(u"name_6")
        self.name_6.setMinimumSize(QSize(0, 50))
        self.name_6.setMaximumSize(QSize(16777215, 50))
        self.name_6.setFrameShape(QFrame.StyledPanel)
        self.name_6.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_7 = QHBoxLayout(self.name_6)
        self.horizontalLayout_7.setSpacing(0)
        self.horizontalLayout_7.setObjectName(u"horizontalLayout_7")
        self.horizontalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.L_name_6 = QLabel(self.name_6)
        self.L_name_6.setObjectName(u"L_name_6")
        self.L_name_6.setMinimumSize(QSize(0, 40))
        self.L_name_6.setMaximumSize(QSize(16777215, 40))
        self.L_name_6.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout_7.addWidget(self.L_name_6, 0, Qt.AlignHCenter|Qt.AlignTop)


        self.verticalLayout_11.addWidget(self.name_6, 0, Qt.AlignHCenter)

        self.picture_6 = QFrame(self.menu_6)
        self.picture_6.setObjectName(u"picture_6")
        self.picture_6.setMinimumSize(QSize(150, 150))
        self.picture_6.setMaximumSize(QSize(150, 150))
        self.picture_6.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_6.setFrameShape(QFrame.StyledPanel)
        self.picture_6.setFrameShadow(QFrame.Raised)

        self.verticalLayout_11.addWidget(self.picture_6, 0, Qt.AlignHCenter)

        self.price_6 = QFrame(self.menu_6)
        self.price_6.setObjectName(u"price_6")
        self.price_6.setMinimumSize(QSize(0, 40))
        self.price_6.setMaximumSize(QSize(16777215, 40))
        self.price_6.setFrameShape(QFrame.StyledPanel)
        self.price_6.setFrameShadow(QFrame.Raised)
        self.verticalLayout_21 = QVBoxLayout(self.price_6)
        self.verticalLayout_21.setSpacing(0)
        self.verticalLayout_21.setObjectName(u"verticalLayout_21")
        self.verticalLayout_21.setContentsMargins(0, 0, 0, 0)
        self.L_price_6 = QLabel(self.price_6)
        self.L_price_6.setObjectName(u"L_price_6")
        self.L_price_6.setMinimumSize(QSize(0, 30))
        self.L_price_6.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_21.addWidget(self.L_price_6, 0, Qt.AlignHCenter|Qt.AlignBottom)


        self.verticalLayout_11.addWidget(self.price_6, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_6, 1, 1, 1, 1)

        self.menu_7 = QFrame(self.m_fram)
        self.menu_7.setObjectName(u"menu_7")
        self.menu_7.setMinimumSize(QSize(0, 275))
        self.menu_7.setMaximumSize(QSize(16777215, 275))
        self.menu_7.setStyleSheet(u"background-color: rgb(255, 255, 255);\n"
"border: 0px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.menu_7.setFrameShape(QFrame.Box)
        self.menu_7.setFrameShadow(QFrame.Raised)
        self.menu_7.setLineWidth(20)
        self.menu_7.setMidLineWidth(10)
        self.verticalLayout_8 = QVBoxLayout(self.menu_7)
        self.verticalLayout_8.setSpacing(0)
        self.verticalLayout_8.setObjectName(u"verticalLayout_8")
        self.verticalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.name_7 = QFrame(self.menu_7)
        self.name_7.setObjectName(u"name_7")
        self.name_7.setMinimumSize(QSize(0, 40))
        self.name_7.setMaximumSize(QSize(16777215, 40))
        self.name_7.setFrameShape(QFrame.StyledPanel)
        self.name_7.setFrameShadow(QFrame.Raised)
        self.horizontalLayout_8 = QHBoxLayout(self.name_7)
        self.horizontalLayout_8.setSpacing(0)
        self.horizontalLayout_8.setObjectName(u"horizontalLayout_8")
        self.horizontalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.L_name_7 = QLabel(self.name_7)
        self.L_name_7.setObjectName(u"L_name_7")
        self.L_name_7.setMinimumSize(QSize(0, 40))
        self.L_name_7.setMaximumSize(QSize(16777215, 40))
        self.L_name_7.setStyleSheet(u"font: 25pt \"2  Mehr\";")

        self.horizontalLayout_8.addWidget(self.L_name_7, 0, Qt.AlignHCenter)


        self.verticalLayout_8.addWidget(self.name_7, 0, Qt.AlignHCenter)

        self.picture_7 = QFrame(self.menu_7)
        self.picture_7.setObjectName(u"picture_7")
        self.picture_7.setMinimumSize(QSize(150, 150))
        self.picture_7.setMaximumSize(QSize(150, 150))
        self.picture_7.setStyleSheet(u"\n"
"border-image: url(:/image/picture/\u2014Pngtree\u2014coffee cup vector top view_5205057.png);")
        self.picture_7.setFrameShape(QFrame.StyledPanel)
        self.picture_7.setFrameShadow(QFrame.Raised)

        self.verticalLayout_8.addWidget(self.picture_7, 0, Qt.AlignHCenter)

        self.price_7 = QFrame(self.menu_7)
        self.price_7.setObjectName(u"price_7")
        self.price_7.setMinimumSize(QSize(0, 40))
        self.price_7.setMaximumSize(QSize(16777215, 40))
        self.price_7.setFrameShape(QFrame.StyledPanel)
        self.price_7.setFrameShadow(QFrame.Raised)
        self.verticalLayout_12 = QVBoxLayout(self.price_7)
        self.verticalLayout_12.setSpacing(0)
        self.verticalLayout_12.setObjectName(u"verticalLayout_12")
        self.verticalLayout_12.setContentsMargins(0, 0, 0, 0)
        self.L_price_7 = QLabel(self.price_7)
        self.L_price_7.setObjectName(u"L_price_7")
        self.L_price_7.setMinimumSize(QSize(0, 30))
        self.L_price_7.setStyleSheet(u"font: 700  20pt \"2  Yekan\";")

        self.verticalLayout_12.addWidget(self.L_price_7, 0, Qt.AlignHCenter)


        self.verticalLayout_8.addWidget(self.price_7, 0, Qt.AlignHCenter)


        self.gridLayout.addWidget(self.menu_7, 1, 2, 1, 1)


        self.verticalLayout_2.addLayout(self.gridLayout)


        self.verticalLayout.addWidget(self.m_fram)

        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)

        QMetaObject.connectSlotsByName(MainWindow)
    # setupUi



    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QCoreApplication.translate("MainWindow", u"MainWindow", None))
        self.L_name_2.setText(QCoreApplication.translate("MainWindow", u"\u0644\u062a\u0647", None))
        self.L_price_2.setText(QCoreApplication.translate("MainWindow", u"40000", None))
        self.L_name_4.setText(QCoreApplication.translate("MainWindow", u"\u0647\u0627\u062a \u0686\u0627\u06a9\u0644\u062a", None))
        self.L_price_4.setText(QCoreApplication.translate("MainWindow", u"25000", None))
        self.L_name_1.setText(QCoreApplication.translate("MainWindow", u"\u0627\u0633\u067e\u0631\u0633\u0648", None))
        self.L_price_1.setText(QCoreApplication.translate("MainWindow", u"35000", None))
        self.L_name_8.setText(QCoreApplication.translate("MainWindow", u"\u0644\u062a\u0647", None))
        self.L_price_8.setText(QCoreApplication.translate("MainWindow", u"35000", None))
        self.L_name_5.setText(QCoreApplication.translate("MainWindow", u"\u0627\u0645\u0631\u06a9\u0627\u0646\u0648", None))
        self.L_price_5.setText(QCoreApplication.translate("MainWindow", u"45000", None))
        self.L_name_3.setText(QCoreApplication.translate("MainWindow", u"\u06a9\u0627\u067e\u0648\u0686\u06cc\u0646\u0648", None))
        self.L_price_3.setText(QCoreApplication.translate("MainWindow", u"20000", None))
        self.L_name_6.setText(QCoreApplication.translate("MainWindow", u"\u0627\u0633\u067e\u0631\u0633\u0648 \u062f\u0648\u0628\u0644", None))
        self.L_price_6.setText(QCoreApplication.translate("MainWindow", u"55000", None))
        self.L_name_7.setText(QCoreApplication.translate("MainWindow", u"\u0645\u0627\u06a9\u06cc\u0627\u062a\u0648", None))
        self.L_price_7.setText(QCoreApplication.translate("MainWindow", u"30000", None))
    # retranslateUi

