from PyQt5.QtCore import (QCoreApplication, QDate, QDateTime, QLocale,
    QMetaObject, QObject, QPoint, QRect,pyqtSignal,
    QSize, QTime, QUrl, Qt)
from PyQt5.QtGui import (QBrush, QColor, QConicalGradient, QCursor,
    QFont, QFontDatabase, QGradient, QIcon,QMovie,
    QImage, QKeySequence, QLinearGradient, QPainter,
    QPalette, QPixmap, QRadialGradient, QTransform)
from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtWidgets import (QApplication, QFrame, QGridLayout, QHBoxLayout,
    QLabel, QMainWindow, QSizePolicy, QVBoxLayout,QRadioButton,QStackedWidget, QVBoxLayout,
    QWidget)
from PyQt5.QtWidgets import QGraphicsDropShadowEffect
import resources
r = resources
r.qInitResources()

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.setGeometry(0, 0, 800, 480)
        MainWindow.move(0, 0)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setStyleSheet("background-image: url(:/image/picture/image(1).png);\n"
"")
        self.centralwidget.setObjectName("centralwidget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.centralwidget)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.m_frame = QtWidgets.QFrame(self.centralwidget)
        self.m_frame.setStyleSheet("background: none;")
        self.m_frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.m_frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.m_frame.setObjectName("m_frame")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.m_frame)
        self.verticalLayout.setContentsMargins(15, 15, 15, 15)
        self.verticalLayout.setSpacing(15)
        self.verticalLayout.setObjectName("verticalLayout")
        self.frame_sugar = QtWidgets.QFrame(self.m_frame)
        self.frame_sugar.setMinimumSize(QtCore.QSize(0, 200))
        self.frame_sugar.setMaximumSize(QtCore.QSize(16777215, 200))
        self.frame_sugar.setStyleSheet("background-color: rgb(255, 255, 255);\n"
"border: 5px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.frame_sugar.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_sugar.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_sugar.setObjectName("frame_sugar")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.frame_sugar)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.picture_sugar = QtWidgets.QFrame(self.frame_sugar)
        self.picture_sugar.setMinimumSize(QtCore.QSize(250, 150))
        self.picture_sugar.setMaximumSize(QtCore.QSize(250, 150))
        self.picture_sugar.setAutoFillBackground(False)
        self.picture_sugar.setStyleSheet("")
        self.picture_sugar.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.picture_sugar.setFrameShadow(QtWidgets.QFrame.Raised)
        self.picture_sugar.setObjectName("picture_sugar")
        self.gridLayout = QtWidgets.QGridLayout(self.picture_sugar)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setSpacing(0)
        self.gridLayout.setObjectName("gridLayout")
        self.frame = QtWidgets.QFrame(self.picture_sugar)
        self.frame.setMinimumSize(QtCore.QSize(150, 150))
        self.frame.setMaximumSize(QtCore.QSize(150, 150))
        self.frame.setStyleSheet("image: url(:/image/picture/kisspng-coffee-sugar-icon-white-sugar-material-5a853dec8e2f94.0157539515186815805824.png);")
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame.setObjectName("frame")
        self.gridLayout.addWidget(self.frame, 0, 0, 1, 1, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        self.horizontalLayout_2.addWidget(self.picture_sugar)
        self.slider_sugar = QtWidgets.QFrame(self.frame_sugar)
        self.slider_sugar.setStyleSheet("")
        self.slider_sugar.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.slider_sugar.setFrameShadow(QtWidgets.QFrame.Raised)
        self.slider_sugar.setObjectName("slider_sugar")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.slider_sugar)
        self.gridLayout_3.setContentsMargins(80, 0, 0, 0)
        self.gridLayout_3.setSpacing(15)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.sugar_2 = QtWidgets.QRadioButton(self.slider_sugar)
        self.sugar_2.setMinimumSize(QtCore.QSize(100, 70))
        self.sugar_2.setObjectName("sugar_2")
        self.gridLayout_3.addWidget(self.sugar_2, 0, 2, 1, 1)
        self.sugar_1 = QtWidgets.QRadioButton(self.slider_sugar)
        self.sugar_1.setMinimumSize(QtCore.QSize(100, 70))
        self.sugar_1.setObjectName("sugar_1")
        self.gridLayout_3.addWidget(self.sugar_1, 0, 1, 1, 1)
        self.sugar_0 = QtWidgets.QRadioButton(self.slider_sugar)
        self.sugar_0.setMinimumSize(QtCore.QSize(100, 70))
        self.sugar_0.setObjectName("sugar_0")
        self.gridLayout_3.addWidget(self.sugar_0, 0, 0, 1, 1)
        self.horizontalLayout_2.addWidget(self.slider_sugar)
        self.verticalLayout.addWidget(self.frame_sugar)
        self.frame_coffee = QtWidgets.QFrame(self.m_frame)
        self.frame_coffee.setMinimumSize(QtCore.QSize(0, 200))
        self.frame_coffee.setMaximumSize(QtCore.QSize(16777215, 200))
        self.frame_coffee.setStyleSheet("background-color: rgb(255, 255, 255);\n"
"border: 5px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.frame_coffee.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_coffee.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_coffee.setObjectName("frame_coffee")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.frame_coffee)
        self.horizontalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_3.setSpacing(10)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.picture_cofee = QtWidgets.QFrame(self.frame_coffee)
        self.picture_cofee.setMinimumSize(QtCore.QSize(250, 150))
        self.picture_cofee.setMaximumSize(QtCore.QSize(250, 150))
        self.picture_cofee.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.picture_cofee.setFrameShadow(QtWidgets.QFrame.Raised)
        self.picture_cofee.setObjectName("picture_cofee")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.picture_cofee)
        self.gridLayout_2.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_2.setSpacing(0)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.frame_2 = QtWidgets.QFrame(self.picture_cofee)
        self.frame_2.setMinimumSize(QtCore.QSize(150, 150))
        self.frame_2.setMaximumSize(QtCore.QSize(150, 150))
        self.frame_2.setStyleSheet("image: url(:/image/picture/transparent-coffee-beans-a-row-of-dark-brown-coffee-beans-falling65b728307cc614.7248241617065021925111.png);")
        self.frame_2.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_2.setObjectName("frame_2")
        self.gridLayout_2.addWidget(self.frame_2, 0, 0, 1, 1)
        self.horizontalLayout_3.addWidget(self.picture_cofee)
        self.slider_coffee = QtWidgets.QFrame(self.frame_coffee)
        self.slider_coffee.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.slider_coffee.setFrameShadow(QtWidgets.QFrame.Raised)
        self.slider_coffee.setObjectName("slider_coffee")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.slider_coffee)
        self.gridLayout_4.setContentsMargins(80, 0, 0, 0)
        self.gridLayout_4.setSpacing(15)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.coffee_1 = QtWidgets.QRadioButton(self.slider_coffee)
        self.coffee_1.setMinimumSize(QtCore.QSize(0, 70))
        self.coffee_1.setObjectName("coffee_1")
        self.gridLayout_4.addWidget(self.coffee_1, 0, 0, 1, 1)
        self.coffee_2 = QtWidgets.QRadioButton(self.slider_coffee)
        self.coffee_2.setMinimumSize(QtCore.QSize(100, 70))
        self.coffee_2.setObjectName("coffee_2")
        self.gridLayout_4.addWidget(self.coffee_2, 0, 1, 1, 1)
        self.coffee_3 = QtWidgets.QRadioButton(self.slider_coffee)
        self.coffee_3.setMinimumSize(QtCore.QSize(100, 70))
        self.coffee_3.setObjectName("coffee_3")
        self.gridLayout_4.addWidget(self.coffee_3, 0, 2, 1, 1)
        self.horizontalLayout_3.addWidget(self.slider_coffee)
        self.verticalLayout.addWidget(self.frame_coffee)
        self.frame_paymant = QtWidgets.QFrame(self.m_frame)
        self.frame_paymant.setMinimumSize(QtCore.QSize(0, 150))
        self.frame_paymant.setMaximumSize(QtCore.QSize(16777215, 150))
        self.frame_paymant.setStyleSheet("background-color: rgb(255, 255, 255);\n"
"border: 5px solid ;\n"
"border-color: rgb(255, 255, 255);\n"
"border-radius: 25px;")
        self.frame_paymant.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_paymant.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_paymant.setObjectName("frame_paymant")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.frame_paymant)
        self.horizontalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.back = QtWidgets.QFrame(self.frame_paymant)
        self.back.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.back.setFrameShadow(QtWidgets.QFrame.Raised)
        self.back.setObjectName("back")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.back)
        self.gridLayout_5.setContentsMargins(10, 0, -1, 0)
        self.gridLayout_5.setSpacing(0)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.back_button = QtWidgets.QFrame(self.back)
        self.back_button.setMinimumSize(QtCore.QSize(150, 50))
        self.back_button.setMaximumSize(QtCore.QSize(150, 50))
        self.back_button.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.back_button.setFrameShadow(QtWidgets.QFrame.Raised)
        self.back_button.setObjectName("back_button")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.back_button)
        self.horizontalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_5 = QtWidgets.QLabel(self.back_button)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_5.addWidget(self.label_5, 0, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        self.gridLayout_5.addWidget(self.back_button, 0, 1, 1, 1, QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.horizontalLayout_4.addWidget(self.back)
        self.info = QtWidgets.QFrame(self.frame_paymant)
        self.info.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.info.setFrameShadow(QtWidgets.QFrame.Raised)
        self.info.setObjectName("info")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.info)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.name = QtWidgets.QLabel(self.info)
        self.name.setStyleSheet("font: 25pt \"2  Mehr\";")
        self.name.setObjectName("name")
        self.verticalLayout_2.addWidget(self.name, 0, QtCore.Qt.AlignHCenter)
        self.price = QtWidgets.QLabel(self.info)
        self.price.setStyleSheet("font: 700  20pt \"2  Yekan\";")
        self.price.setObjectName("price")
        self.verticalLayout_2.addWidget(self.price, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_4.addWidget(self.info)
        self.paymant = QtWidgets.QFrame(self.frame_paymant)
        self.paymant.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.paymant.setFrameShadow(QtWidgets.QFrame.Raised)
        self.paymant.setObjectName("paymant")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.paymant)
        self.gridLayout_6.setContentsMargins(0, 0, 10, 0)
        self.gridLayout_6.setSpacing(0)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.paymant_button = QtWidgets.QFrame(self.paymant)
        self.paymant_button.setMinimumSize(QtCore.QSize(150, 50))
        self.paymant_button.setMaximumSize(QtCore.QSize(150, 50))
        self.paymant_button.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.paymant_button.setFrameShadow(QtWidgets.QFrame.Raised)
        self.paymant_button.setObjectName("paymant_button")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.paymant_button)
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_3.setSpacing(0)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_6 = QtWidgets.QLabel(self.paymant_button)
        self.label_6.setObjectName("label_6")
        self.verticalLayout_3.addWidget(self.label_6, 0, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        self.gridLayout_6.addWidget(self.paymant_button, 0, 0, 1, 1, QtCore.Qt.AlignRight|QtCore.Qt.AlignVCenter)
        self.horizontalLayout_4.addWidget(self.paymant)
        self.verticalLayout.addWidget(self.frame_paymant)
        self.horizontalLayout.addWidget(self.m_frame)
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        """
        self.sugar_2.setText(_translate("MainWindow", "شیرین"))
        self.sugar_1.setText(_translate("MainWindow", "معمولی"))
        self.sugar_0.setText(_translate("MainWindow", "بدون شکر"))
        self.coffee_1.setText(_translate("MainWindow", "کم"))
        self.coffee_2.setText(_translate("MainWindow", "معمولی"))
        self.coffee_3.setText(_translate("MainWindow", "زیاد"))
        """
        self.label_5.setText(_translate("MainWindow", "بازگشت"))
        self.label_6.setText(_translate("MainWindow", "پرداخت"))
