import logging
import logging.config



class Logging:

    def __init__(self, data:str):
        logging.config.fileConfig("log.config")
        self.logger = logging.getLogger(data)

    def get_logger(self, orderID:str, txt1:str, level:int ):
        txt = f"{orderID}: {txt1}"
        if level == 0 :
            self.logger.debug(txt)
        elif level == 1 :
            self.logger.info(txt)
        elif level == 2 :
            self.logger.warning(txt)


